Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface EncryptionProperties

All Superinterfaces:
  XMLStructure

    public interface EncryptionProperties

extends XMLStructure

A representation of the XML `EncryptionProperties` element as defined in the W3C Recommendation for XML-Encryption Syntax and Processing. The XML Schema Definition is defined as:

     <element name='EncryptionProperties' type='xenc:EncryptionPropertiesType'/>
     <complexType name='EncryptionPropertiesType'>
            <sequence>
               <element ref='xenc:EncryptionProperty' maxOccurs='unbounded'/>
            </sequence>
            <attribute name='Id' type='ID' use='optional'/>
     </complexType>

Field Summary
`static java.lang.String` | `TYPE` URI identifying the `EncryptionProperties` type: http://www.w3.org/2001/04/xmlenc#EncryptionProperties.

Method Summary
`java.lang.String` | `getId()` Returns the optional `ID`.
`java.util.List` | `getProperties()` Returns an unmodifiable list of `EncryptionProperty`s.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Field Detail

### TYPE

    static final java.lang.String TYPE

  URI identifying the `EncryptionProperties` type: http://www.w3.org/2001/04/xmlenc#EncryptionProperties. This can be used within a `Reference` object to identify the referent's type.

  See Also:
    Constant Field Values

Method Detail

### getProperties

    java.util.List getProperties()

  Returns an unmodifiable list of `EncryptionProperty`s.

  Returns:
    an unmodifiable list of `EncryptionProperty`s (never `null` or empty)

### getId

    java.lang.String getId()

  Returns the optional `ID`.

  Returns:
    the `ID`, or `null` if not specified.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org